Bug 1279313 - KeyError: 'tg_flash'
KeyError: 'tg_flash'
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: bodhi (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Randy Barlow
Fedora Extras Quality Assurance
: Reopened
: 1321329 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-09 01:53 EST by Lukas Slebodnik
Modified: 2017-12-12 06:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 06:10:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Slebodnik 2015-11-09 01:53:34 EST
Description of problem:
I'm unable to push build to stable using command line tool bodhi

Version-Release number of selected component (if applicable):
$ rpm -qf /usr/bin/bodhi 
bodhi-client-0.9.12.2-3.fc23.noarch

How reproducible:
Deterministic

Steps to Reproduce:
1. Try to push package to stable
http://fedoraproject.org/wiki/Package_update_HOWTO#Later_Branched_and_stable_releases
bodhi --username lslebodn --request stable sssd-1.13.1-3.fc22

Actual results:
No handlers could be found for logger "fedora.client.bodhi"
Traceback (most recent call last):
  File "/usr/bin/bodhi", line 537, in <module>
    main()
  File "/usr/bin/bodhi", line 273, in main
    log.info(data['tg_flash'])
KeyError: 'tg_flash'

Expected results:
Package should be pushed to stable without any problem.
Comment 1 Lukas Slebodnik 2015-11-09 01:55:47 EST
Actually, the requested package was pushed to stable
but traceback is confusing.

https://bodhi.fedoraproject.org/updates/FEDORA-2015-5e1da56d16
Comment 2 Dominik 'Rathann' Mierzejewski 2016-07-27 03:06:27 EDT
*** Bug 1321329 has been marked as a duplicate of this bug. ***
Comment 3 Randy Barlow 2016-10-18 00:54:18 EDT
Hello!

I have recently become the primary caretaker of Bodhi and I've inherited a number of issues related to bodhi 0.9. I wanted to be forthcoming with you that it will be difficult for me to fix issues with bodhi 0.9 while also pressing forward with bodhi 2, especially since I do not have any familiarity with the bodhi 0.9 codebase. I'm happy to keep this bug open to track the problem, but I would also encourage you to please test the bodhi 2 client (currently available in Rawhide and Copr[0]). Unfortunately, the bodhi 2 client is not backwards compatible with bodhi 0.9, so at this time I only plan for bodhi 2 to be released with Fedora 26 and EPEL 7 (with special permission from the EPEL SC).

Here are some options you could pursue for this issue:

0) Write a patch for me that can be applied with the spec file. If you are willing to take the time to learn the bodhi 0.9 code, write a patch, and test it, I am willing to accept patches to be applied during build.
1) Use Rawhide.
2) Install bodhi 2 from my Copr[0].

I apologize as I understand that this is probably disappointing news for you to hear, but I thought it would be better to be forthcoming than to let the bug languish. I appreciate your understanding!


[0] https://copr.fedorainfracloud.org/coprs/bowlofeggs/bodhi/
Comment 4 Fedora End Of Life 2016-11-24 08:13:42 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 10:33:30 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Randy Barlow 2016-12-20 15:28:07 EST
Fale experienced this issue today.
Comment 7 Fabio Alessandro Locati 2016-12-21 03:40:39 EST
True, thanks Randy :).
In my case, the command was not executed by the server
Comment 8 Fedora End Of Life 2017-11-16 14:31:17 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2017-12-12 06:10:33 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.